Package org.apache.uima.jcas.cas

# Class NonEmptyStringList

java.lang.Object
org.apache.uima.cas.impl.FeatureStructureImplC
org.apache.uima.jcas.cas.TOP
org.apache.uima.jcas.cas.StringList
org.apache.uima.jcas.cas.NonEmptyStringList

All Implemented Interfaces:
  `Cloneable`, `Iterable<String>`, `FeatureStructure`, `FeatureStructureImpl`, `CommonList`, `NonEmptyList`

public class NonEmptyStringList extends StringList implements Iterable<String>, NonEmptyList

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.uima.cas.impl.FeatureStructureImplC

  `FeatureStructureImplC.PrintReferences`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `_FeatName_head`
  `static final String`
  `_FeatName_tail`
  `static final String`
  `_TypeName`
  `static final int`
  `type`
  `static final int`
  `typeIndexID`

  ### Fields inherited from class org.apache.uima.jcas.cas.TOP

  `_singleton`

  ### Fields inherited from class org.apache.uima.cas.impl.FeatureStructureImplC

  `_casView, _id, DISABLE_RUNTIME_FEATURE_VALIDATION, DISABLE_RUNTIME_FEATURE_VALUE_VALIDATION, IS_ENABLE_RUNTIME_FEATURE_VALIDATION, IS_ENABLE_RUNTIME_FEATURE_VALUE_VALIDATION, IS_V2_PRETTY_PRINT, V2_PRETTY_PRINT`

  ### Fields inherited from interface org.apache.uima.jcas.cas.CommonList

  `EMPTY_LIST_STRING`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `NonEmptyStringList()`
  ``
  `NonEmptyStringList(TypeImpl t, CASImpl c)`
  used by generator Make a new AnnotationBase
  ``
  `NonEmptyStringList(JCas jcas)`
  ``
  `NonEmptyStringList(JCas jcas, String head)`
  Generate a NonEmpty node with the specified head with the empty node as the tail
  ``
  `NonEmptyStringList(JCas jcas, String head, StringList tail)`
  Generate a NonEmpty node with the specified head and tail

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `get_headAsString()`
  Internal use overridden in nonempty nodes Return the head value of a list as a string suitable for serialization.
  `String`
  `getHead()`
  `StringList`
  `getTail()`
  `int`
  `getTypeIndexID()`
  `Iterator<String>`
  `iterator()`
  `void`
  `set_headFromString(String v)`
  Internal use overridden in nonempty nodes used when deserializing
  `void`
  `setHead(String v)`
  `void`
  `setTail(CommonList v)`
  sets the tail of this node
  `void`
  `setTail(StringList v)`

  ### Methods inherited from class org.apache.uima.jcas.cas.StringList

  `contains, create, createNonEmptyNode, emptyList, getNthElement, push, stream`

  ### Methods inherited from class org.apache.uima.jcas.cas.TOP

  `_createJCasHashMapReserve, _createSearchKey`

  ### Methods inherited from class org.apache.uima.cas.impl.FeatureStructureImplC

  `_copyIntAndRefArraysEqTypesFrom, _copyIntAndRefArraysFrom, _copyIntArrayEqTypesFrom, _getBooleanValueNc, _getBooleanValueNc, _getByteValueNc, _getByteValueNc, _getDoubleValueNc, _getDoubleValueNc, _getFeatFromAdjOffset, _getFeatureValueNc, _getFeatureValueNc, _getFloatValueNc, _getFloatValueNc, _getIntLikeValue, _getIntValueNc, _getIntValueNc, _getLongValueNc, _getLongValueNc, _getRefValueCommon, _getShortValueNc, _getShortValueNc, _getStringValueNc, _getStringValueNc, _getTypeCode, _getTypeImpl, _getView, _id, _inSetSortedIndex, _isJCasHashMapReserve, _isPearTrampoline, _maybeGetBaseForPearFs, _maybeGetBaseForPearFs, _maybeGetPearFs, _maybeGetPearFs, _resetInSetSortedIndex, _setBooleanValueNcNj, _setBooleanValueNcNj, _setBooleanValueNfc, _setByteValueNcNj, _setByteValueNcNj, _setByteValueNfc, _setDoubleValueNcNj, _setDoubleValueNcNj, _setDoubleValueNfc, _setFeatureValueNcNj, _setFeatureValueNcNj, _setFeatureValueNcWj, _setFloatValueNcNj, _setFloatValueNcNj, _setFloatValueNfc, _setInSetSortedIndexed, _setIntLikeValue, _setIntLikeValueNcNj, _setIntValueCJ, _setIntValueNcNj, _setIntValueNcNj, _setIntValueNfc, _setIntValueNfcCJ, _setJCasHashMapReserve, _setLongValueCJ, _setLongValueNcNj, _setLongValueNcNj, _setLongValueNfc, _setLongValueNfcCJ, _setPearTrampoline, _setRefValueCJ, _setRefValueCommon, _setRefValueCommonWj, _setRefValueNfcCJ, _setShortValueNcNj, _setShortValueNcNj, _setShortValueNfc, _setStringValueNcNj, _setStringValueNcWj, _setStringValueNfc, _setTypeImpl, addStringOrPrimitive, addToIndexes, addToIndexes, addToIndexes, clone, compare, equals, getAddress, getBooleanValue, getByteValue, getCAS, getCASImpl, getDoubleValue, getFeatureValue, getFeatureValueAsString, getFloatValue, getIntValue, getLongValue, getLowLevelCas, getShortValue, getStringValue, getType, hashCode, prettyPrint, prettyPrint, prettyPrint, prettyPrint, prettyPrint, prettyPrint, prettyPrintShort, removeFromIndexes, removeFromIndexes, removeFromIndexes, setBooleanValue, setByteValue, setDoubleValue, setFeatureValue, setFeatureValueFromString, setFloatValue, setIntValue, setLongValue, setShortValue, setStringValue, toShortString, toString, toString, wrapGetIntCatchException`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.uima.jcas.cas.CommonList

  `anyListToOutput, anyListToStringList, createNonEmptyNode, emptyList, getCommonTail, getLength, getNonEmptyNthNode, getNthNode, insertNode, isEmpty, pushNode, walkList, walkList_saxException`

  ### Methods inherited from interface org.apache.uima.cas.FeatureStructure

  `_getTypeCode, _id, clone, equals, getAddress, getBooleanValue, getByteValue, getCAS, getDoubleValue, getFeatureValue, getFeatureValueAsString, getFloatValue, getIntValue, getJCas, getLongValue, getShortValue, getStringValue, getType, hashCode, setBooleanValue, setByteValue, setDoubleValue, setFeatureValue, setFeatureValueFromString, setFloatValue, setIntValue, setLongValue, setShortValue, setStringValue`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, spliterator`

- ## Field Details

  - ### _TypeName

    public static final String _TypeName
    See Also:
      - Constant Field Values

  - ### typeIndexID

    public static final int typeIndexID

  - ### type

    public static final int type

  - ### _FeatName_head

    public static final String _FeatName_head
    See Also:
      - Constant Field Values

  - ### _FeatName_tail

    public static final String _FeatName_tail
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### NonEmptyStringList

    protected NonEmptyStringList()

  - ### NonEmptyStringList

    public NonEmptyStringList(JCas jcas)

  - ### NonEmptyStringList

    public NonEmptyStringList(TypeImpl t, CASImpl c)
    used by generator Make a new AnnotationBase
    Parameters:
      `c` - -
      `t` - -

  - ### NonEmptyStringList

    public NonEmptyStringList(JCas jcas, String head, StringList tail)
    Generate a NonEmpty node with the specified head and tail
    Parameters:
      `jcas` - -
      `head` - -
      `tail` - -

  - ### NonEmptyStringList

    public NonEmptyStringList(JCas jcas, String head)
    Generate a NonEmpty node with the specified head with the empty node as the tail
    Parameters:
      `jcas` - -
      `head` - -

- ## Method Details

  - ### getTypeIndexID

    public int getTypeIndexID()
    Overrides:
      `getTypeIndexID` in class `TOP`
    Returns:
      the type array index

  - ### getHead

    public String getHead()

  - ### setHead

    public void setHead(String v)

  - ### getTail

    public StringList getTail()

  - ### setTail

    public void setTail(StringList v)

  - ### setTail

    public void setTail(CommonList v)
    Description copied from interface: `CommonList`
    sets the tail of this node
    Specified by:
      `setTail` in interface `CommonList`
    Parameters:
      `v` - the tail

  - ### get_headAsString

    public String get_headAsString()
    Description copied from interface: `CommonList`
    Internal use overridden in nonempty nodes Return the head value of a list as a string suitable for serialization. For FeatureStructure values, return the _id.
    Specified by:
      `get_headAsString` in interface `CommonList`
    Returns:
      value suitable for serialization

  - ### set_headFromString

    public void set_headFromString(String v)
    Description copied from interface: `CommonList`
    Internal use overridden in nonempty nodes used when deserializing
    Specified by:
      `set_headFromString` in interface `CommonList`
    Parameters:
      `v` - value to set, as a string

  - ### iterator

    public Iterator<String> iterator()
    Specified by:
      `iterator` in interface `Iterable<String>`
    Overrides:
      `iterator` in class `StringList`